<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [getUnlockedAchievements](./bitburner.singularity.getunlockedachievements.md)

## Singularity.getUnlockedAchievements() method

Get a list of all unlocked achievements.

**Signature:**

```typescript
getUnlockedAchievements(): string[];
```
**Returns:**

string\[\]

- A list containing all of the IDs of achievements that the player has unlocked.

## Remarks

Ram cost: 5 GB \* 16/4/1

